New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

angular2 profile creates app with missing gormVersion and gradleWrapperVersion setting #10562

Closed
danielritter opened this Issue Mar 31, 2017 · 10 comments

Comments

Projects
None yet
4 participants
@danielritter
Copy link

danielritter commented Mar 31, 2017

Like in this ticket mentioned #10536 for the react profile the same error occurs in the angular2 profile. The gormVersion and the gradleWrapperVersion are missing when creating a new app with profile angular2.

Grails Version: 3.2.8

@jameskleeh jameskleeh self-assigned this Mar 31, 2017

@jameskleeh

This comment has been minimized.

Copy link
Contributor

jameskleeh commented Mar 31, 2017

This was fixed already in version 1.0.5

@jameskleeh jameskleeh closed this Mar 31, 2017

@mgkimsal

This comment has been minimized.

Copy link

mgkimsal commented Apr 11, 2017

version 1.0.5 of what?

@jameskleeh

This comment has been minimized.

Copy link
Contributor

jameskleeh commented Apr 11, 2017

@danstadler-newrelic

This comment has been minimized.

Copy link

danstadler-newrelic commented Apr 12, 2017

Last night I built a grails app with the angular2 profile, grails version is 3.2.8. I am seeing the above problem. Do I need to update my version of the angular2 profile to get the latest fix? Appreciate any advice.

@jameskleeh

This comment has been minimized.

Copy link
Contributor

jameskleeh commented Apr 12, 2017

@danstadler-newrelic The application is already created, so you simply need to add the gormVersion=6.0.9.RELEASE to your gradle.properties

@danstadler-newrelic

This comment has been minimized.

Copy link

danstadler-newrelic commented Apr 12, 2017

Thanks! that did the trick.

@danstadler-newrelic

This comment has been minimized.

Copy link

danstadler-newrelic commented Apr 13, 2017

OK, no idea if this also belongs in this thread, but when I then run:
./gradlew client:bootRun

I run into this:

ERROR in [path redacted]/client/src/app/nav/nav.service.ts (19,12): Property 'cache' does not exist on type 'Observable'.

Did some googling, suggested fixes haven't helped so far...

(just fyi, I'm trying this out: https://docs.grails.org/latest/guide/webServices.html#angular2Profile )

@danielritter

This comment has been minimized.

Copy link

danielritter commented Apr 13, 2017

I've got the same error. I resolved it by removing the cache property from nav.service.ts. But this is just a workaround. I think with the new angular profile this problem is solved.

@danstadler-newrelic

This comment has been minimized.

Copy link

danstadler-newrelic commented Apr 13, 2017

@danielritter can you give me a quick diff of your change - I'm pretty new to the Angular side of this, just looking for a quick path to a bootable/runnable app, so I can learn basic working examples of Grails and Angular talking to each other. - thx

@danielritter

This comment has been minimized.

Copy link

danielritter commented Apr 29, 2017

Use Grails 3.2.9, there the problem should be fixed.

Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment